<?php
session_start();

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // POST isteği ile gelen JSON verisini alalım
    $data = json_decode(file_get_contents('php://input'), true);

    // Silinmek istenen ürünün product_id'sini al
    $productId = $data['product_id'] ?? null;

    // Sepet session'ını al
    $basket = $_SESSION['basket'] ?? [];

    // Eğer product_id mevcutsa, bu ürünü sepetten çıkar
    if ($productId !== null && isset($basket)) {
        foreach ($basket as $key => $item) {
            if ($item['product_id'] == $productId) {
                // Ürünü sepetten çıkar
                unset($basket[$key]);
            }
        }
        // Sepeti yeniden indexleyelim
        $_SESSION['basket'] = array_values($basket);

        // Başarılı sonuç döndür
        echo json_encode(['success' => true]);
        exit;
    }
}

// Eğer işlem başarısızsa hata döndür
echo json_encode(['success' => false]);
?>
